/*
    port.h
    
    quick and dirty defines for most of the Iris GL functions in the code

    Copyright (C) 2002 Luka Frelih <luka@mail.ljudmila.org>
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#define Boolean GLboolean
typedef void * fmfonthandle;

#define ortho2 gluOrtho2D
#define srand(a) srandom(a)
#define rand() random()
#define cmov2s glRasterPos2s
#define cpack glColor3f
#define endclosedline glEnd
#define endline glEnd
#define endpolygon glEnd
#define bgnclosedline() glBegin(GL_LINE_LOOP)
#define bgnline() glBegin(GL_LINES)
#define bgnpolygon() glBegin(GL_POLYGON)
#define fmgetstrwidth glutBitmapLength
#define fmprstr charstr
#define linewidth glLineWidth
#define popmatrix glPopMatrix
#define pushmatrix glPushMatrix
#define swapbuffers glutSwapBuffers
#define translate glTranslatef
#define v2s(ary) glVertex2s(ary[0],ary[1])
#define clear() glClear(GL_COLOR_BUFFER_BIT)
// | GL_DEPTH_BUFFER_BIT | GL_ACCUM_BUFFER_BIT | GL_STENCIL_BUFFER_BIT)
#define fmfindfont fmdummy
#define fminit fmdummy
#define fmscalefont fmdummy
#define fmsetfont fmdummy



#define NORMALDRAW 0

#define TIMER0 1000
#define REDRAW 1001
#define INPUTCHANGE 1002

#define AKEY 97
#define SKEY 115
#define DKEY 100
#define JKEY 106
#define KKEY 107
#define LKEY 108
#define SEMICOLONKEY 59
#define SPACEKEY 32
#define RETKEY 13 
#define ESCKEY 27

#define prefposition prefposition
#define qdevice qdevice
#define qread qread
#define qtest qtest
#define winopen winopen
#define charstr charstr
#define circ circ
#define RGBmode RGBmode 
#define doublebuffer doublebuffer
#define drawmode drawmode
#define foreground foreground
#define gconfig gconfig
#define gexit gexit
#define mmode mmode
#define noise noise
